/*
To use:
* Run this sketch and look at the list of serial ports printed in the
  message area below. Note the index of the port corresponding to your
  Arduino board (the numbering starts at 0).  (Unless your Arduino board
  happens to be at index 0 in the list, the sketch probably won't work.
  Stop it and proceed with the instructions.)
* Modify the "arduino = new Arduino(...)" line below, changing the number
  in Arduino.list()[0] to the number corresponding to the serial port of
  your Arduino board.  Alternatively, you can replace Arduino.list()[0]
  with the name of the serial port, in double quotes, e.g. "COM5" on Windows
  or "/dev/tty.usbmodem621" on Mac.
  For more information, see: http://playground.arduino.cc/Interfacing/Processing
*/

import processing.serial.*;
import cc.arduino.*;

Arduino arduino;
float prevY;

void setup() {

  // Prints out the available serial ports.
  println(Arduino.list());

  // Modify this line, by changing the "0" to the index of the serial
  // port corresponding to your Arduino board (as it appears in the list
  // printed by the line above).
  arduino = new Arduino(this, Arduino.list()[0], 57600);
  
  size(1000, 1100);
  drawGrid();
  frameRate(60);

}

void draw() {
  
  //println(arduino.analogRead(0));
  float plotVar = (float) arduino.analogRead(0);
  stroke(255, 0, 0);
  line(frameCount-1, height-prevY, frameCount, height-plotVar);
  if(frameCount >= width){
    frameCount=0;
    drawGrid();
  }
  prevY = plotVar;
}



void drawGrid() {
  background(255);
  for (int i = 0; i <= width; i += 50) {
    fill(0);
    text(i/2, i-10, height-15);
    stroke(0);
    line(i, height, i, 0);
  }
  for (int j = 0; j < height; j += 50) {
    fill(0);
    text(height-j, 0, j);
    stroke(0);
    line(0, j, width, j);
  }
}